24 March 2010

Metaball02 ////////////////////////////////////////////////////////

Just a little improvement for my metaball 01 Grasshopper definition, waiting for the final definition here some images of work in progress.

22 March 2010

MultiSection Pipe 01///////////////////////////////////////

In this GH definition two sliders change scale and rotation of the variable profile section, extruded along multiple paths.
This definition is an upgrade of previous multiple square pipe definition and is created from an inspiration of this post at fancywires blog.

15 March 2010

Multiple Square Pipe 01///////////////////////////////////////////////////////////

This Grasshopper definition creates a multiple pipe with a rectangular section from curves, lines, and lines with fillet.
Multiple Square Pipe 01_GH Definition:
-creates a vector between the start point and a point very close to it
-creates a rectangular section normal to the vector at the start point of the line or reference curve
-creates a sweep 1 rail along the line or curve

05 March 2010

Lecture series "Il Progetto digitale per la costruzione": Torino 9 Marzo

Politecnico di Torino - Prima Facoltà di Architettura
Torino, Castello del Valentino, Sala della Caccia
Martedì 9 Marzo 2010 - ore 17.45

Presentazione del volume:
"Il progetto digitale per la costruzione"
di Stefano Converso
Ne discutono con l'autore:
Michele Bonino, Pierre-Alain Croset, Edoardo Piccoli
Bernard Cache (objectile, Parigi), Andrea Graziano (Co-de-iT),
Ingrid Paoletti (Polimi), Alberto Pugnale, Mario Sassone (Polito, IASS).

02 March 2010

RH lines counter labels&length 01

Option Explicit

'Script written by Davide del Giudice
'Script copyrighted by Co-de-iT www.co-de-it.com
'Script version Tuesday, 02 March 2010 19:20:27

Call Main()
Sub Main()

Dim arrobjects,arrPoint,arrLength,arrPoint2
Dim strobjects,strDot,strDot2,count
arrobjects=rhino.GetObjects("select curve")

For Each strobjects In arrobjects
arrPoint = Rhino.CurveEndPoint(strObjects)
arrPoint2 = Rhino.CurveStartPoint(strObjects)
arrLength=rhino.CurveLength (strObjects)
strDot=Rhino.AddTextDot (" "& count, arrPoint)
strDot2=Rhino.AddTextDot (" "& round(arrLength,1), arrPoint2)
Call Rhino.ObjectColor(strDot, RGB(count/5,count/10,count+5))
Call Rhino.ObjectColor(strDot2, RGB(count/2,count/10,count+100))

End Sub

Mesh vector deformation01

From a rigid cartesian grid of cubes a new deformation created by two attractor points. The Grasshopper definition starts from my Radiolarian vector deformation experiment. Tbc...